Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class AbstractBackend

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.AbstractBackend

All Implemented Interfaces:
  AbstractBackendInterface, com.trolltech.qt.QtJambiInterface

    public abstract class AbstractBackend

extends com.trolltech.qt.QtJambiObject
implements AbstractBackendInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary
`static class` | `AbstractBackend.Class` This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `AbstractBackend()` This method is internal to Qt Jambi.
`protected` | `AbstractBackend(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractBackend(long ptr)` This method is internal to Qt Jambi.
`abstract java.util.List<java.lang.String>` | `availableMimeTypes()` This method is internal to Qt Jambi.
`abstract boolean` | `connectNodes(com.trolltech.qt.core.QObject arg__1, com.trolltech.qt.core.QObject arg__2)` This method is internal to Qt Jambi.
`com.trolltech.qt.core.QObject` | `createObject(AbstractBackend.Class c, com.trolltech.qt.core.QObject parent)` This method is internal to Qt Jambi.
`abstract com.trolltech.qt.core.QObject` | `createObject(AbstractBackend.Class c, com.trolltech.qt.core.QObject parent, java.util.List<java.lang.Object> args)` This method is internal to Qt Jambi.
`abstract boolean` | `disconnectNodes(com.trolltech.qt.core.QObject arg__1, com.trolltech.qt.core.QObject arg__2)` This method is internal to Qt Jambi.
`abstract boolean` | `endConnectionChange(java.util.Set<com.trolltech.qt.core.QObject> arg__1)` This method is internal to Qt Jambi.
`static AbstractBackend` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`abstract java.util.List<java.lang.Integer>` | `objectDescriptionIndexes(Phonon.ObjectDescriptionType type)` This method is internal to Qt Jambi.
`abstract java.util.HashMap<com.trolltech.qt.core.QByteArray,java.lang.Object>` | `objectDescriptionProperties(Phonon.ObjectDescriptionType type, int index)` This method is internal to Qt Jambi.
`abstract boolean` | `startConnectionChange(java.util.Set<com.trolltech.qt.core.QObject> arg__1)` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### AbstractBackend

    public AbstractBackend()

  This method is internal to Qt Jambi.

### AbstractBackend

    protected AbstractBackend(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### availableMimeTypes

    public abstract java.util.List<java.lang.String> availableMimeTypes()

  This method is internal to Qt Jambi.

  Specified by:
    `availableMimeTypes` in interface `AbstractBackendInterface`

### connectNodes

    public abstract boolean connectNodes(com.trolltech.qt.core.QObject arg__1,
                                         com.trolltech.qt.core.QObject arg__2)

  This method is internal to Qt Jambi.

  Specified by:
    `connectNodes` in interface `AbstractBackendInterface`

### createObject

    public final com.trolltech.qt.core.QObject createObject(AbstractBackend.Class c,
                                                            com.trolltech.qt.core.QObject parent)

  This method is internal to Qt Jambi.

### createObject

    public abstract com.trolltech.qt.core.QObject createObject(AbstractBackend.Class c,
                                                               com.trolltech.qt.core.QObject parent,
                                                               java.util.List<java.lang.Object> args)

  This method is internal to Qt Jambi.

  Specified by:
    `createObject` in interface `AbstractBackendInterface`

### disconnectNodes

    public abstract boolean disconnectNodes(com.trolltech.qt.core.QObject arg__1,
                                            com.trolltech.qt.core.QObject arg__2)

  This method is internal to Qt Jambi.

  Specified by:
    `disconnectNodes` in interface `AbstractBackendInterface`

### endConnectionChange

    public abstract boolean endConnectionChange(java.util.Set<com.trolltech.qt.core.QObject> arg__1)

  This method is internal to Qt Jambi.

  Specified by:
    `endConnectionChange` in interface `AbstractBackendInterface`

### objectDescriptionIndexes

    public abstract java.util.List<java.lang.Integer> objectDescriptionIndexes(Phonon.ObjectDescriptionType type)

  This method is internal to Qt Jambi.

  Specified by:
    `objectDescriptionIndexes` in interface `AbstractBackendInterface`

### objectDescriptionProperties

    public abstract java.util.HashMap<com.trolltech.qt.core.QByteArray,java.lang.Object> objectDescriptionProperties(Phonon.ObjectDescriptionType type,
                                                                                                                     int index)

  This method is internal to Qt Jambi.

  Specified by:
    `objectDescriptionProperties` in interface `AbstractBackendInterface`

### startConnectionChange

    public abstract boolean startConnectionChange(java.util.Set<com.trolltech.qt.core.QObject> arg__1)

  This method is internal to Qt Jambi.

  Specified by:
    `startConnectionChange` in interface `AbstractBackendInterface`

### fromNativePointer

    public static AbstractBackend fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractBackend

    public long __qt_cast_to_AbstractBackend(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_AbstractBackend` in interface `AbstractBackendInterface`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD